Splunk® Supported Add-ons

Splunk Add-on for Citrix NetScaler

Acrobat logo Download manual as PDF


Acrobat logo Download topic as PDF

Release history for the Splunk Add-on for Citrix NetScaler

The latest version of the Splunk Add-on for Citrix NetScaler is version 8.0.0. See Release notes for the Splunk Add-on for Citrix NetScaler for the release notes of this latest version.

Version 7.0.2

Version 7.0.2 of the Splunk Add-on for Citrix NetScaler was released on June 30, 2020.

Compatibility

Version 7.0.2 of the Splunk Add-on for Citrix Netscaler is not compatible with Internet Explorer.

Version 7.0.2 of the Splunk Add-on for Citrix NetScaler is compatible with the following software, CIM versions, and platforms.

Splunk platform versions 7.1.x, 7.2.x, 7.3.x, 8.0.x
CIM 4.11
Platforms Platform independent
Vendor Products Citrix NetScaler versions 10, 11, and 12

The field alias functionality is compatible with the current version of this add-on. The current version of this add-on does not support older field alias configurations.

For more information about the field alias configuration change, refer to the Splunk Enterprise Release Notes.

Migration guide

Upgrading from 6.2.0 to versions 6.3.0 and above of the Splunk Add-on for Citrix NetScaler is not supported. You must reconfigure all inputs, appliances and templates after upgrading. To avoid data loss, back up your local configurations before upgrading.

This version of the add-on drops support for Splunk platform versions older than 7.0.x. If you are running older versions of the Splunk platform, upgrade them to a minimum of 7.0.x before upgrading the add-on.

See Choose your Splunk Enterprise upgrade path for the Python 3 migration for more information on upgrading your Splunk Enterprise deployment to Python 3.

New features

Version 7.0.2 of the Splunk Add-on for Citrix NetScaler has the following new features.

  • Enhanced python library structure.

Fixed issues

Version 7.0.2 of the Splunk Add-on for Citrix NetScaler contains the following fixed issues:

Date resolved Issue number Description
2020-06-30 ADDON-26876, ADDON-26889, ADDON-26897, ADDON-26907 Fix UI and Data collection of Addon on Splunk 8.0.4 and 8.0.2004
2020-06-29 ADDON-27374 Unable to collect data from all the templates
2020-06-25 ADDON-27000, ADDON-27041 Data collected in different sourcetype in Python3
2020-06-25 ADDON-27050 Citrix Netscaler Add is throwing an "ERRORwrite() argument must be str, not bytes " error
2020-04-27 ADDON-21966 Splunk_TA_citrix-netscaler 6.3.0 field extraction not working correctly for some kv pairs in sourcetype citrix:netscaler:syslog

Known issues

Version 7.0.2 of the Splunk Add-on for Citrix NetScaler has the following known issues. If no issues appear below, no issues have yet been reported:

Date filed Issue number Description
2019-02-19 ADDON-21356 Data Duplication Warning Feature in UI(Input page) doesn't work with Keypress event
2018-12-28 ADDON-20719 Post changing only Appliance name from back end and not refreshing UI will stop data collection for all the inputs regardless of account

Third-party software attributions

Version 7.0.2 of the Splunk Add-on for Citrix NetScaler incorporates the following third-party software or libraries.

  • jQuery
  • select2
  • jquery-ui
  • moment.js
  • jqTree
  • bootstrap
  • underscore
  • Backbone.Validation
  • jquery-resize-plugin
  • low-pro-for-jquery
  • sax.js
  • lodash
  • intro.js
  • highcharts


Version 7.0.1

Version 7.0.1 of the Splunk Add-on for Citrix NetScaler was released on March 10, 2020.

Compatibility

Version 7.0.1 of the Splunk Add-on for Citrix Netscaler is not compatible with Internet Explorer.

Version 7.0.1 of the Splunk Add-on for Citrix NetScaler is compatible with the following software, CIM versions, and platforms.

Splunk platform versions 7.0.x, 7.1.x, 7.2.x, 7.3.x, 8.0.x
CIM 4.11
Platforms Platform independent
Vendor Products Citrix NetScaler versions 10, 11, and 12

Migration guide

Upgrading from 6.2.0 to versions 6.3.0 and above of the Splunk Add-on for Citrix NetScaler is not supported. You must reconfigure all inputs, appliances and templates after upgrading. To avoid data loss, back up your local configurations before upgrading.

This version of the add-on drops support for Splunk platform versions older than 7.0.x. If you are running older versions of the Splunk platform, upgrade them to a minimum of 7.0.x before upgrading the add-on.

See Choose your Splunk Enterprise upgrade path for the Python 3 migration for more information on upgrading your Splunk Enterprise deployment to Python 3.

New features

Version 7.0.1 of the Splunk Add-on for Citrix NetScaler has the following new features.

  • Default support for Python 3

Fixed issues

Version 7.0.1 of the Splunk Add-on for Citrix NetScaler contains the following fixed issues:


Known issues

Version 7.0.1 of the Splunk Add-on for Citrix NetScaler has the following known issues. If no issues appear below, no issues have yet been reported:

Date filed Issue number Description
2020-06-24 ADDON-27374 Unable to collect data from all the templates
2020-06-08 ADDON-27050 Citrix Netscaler Add is throwing an "ERRORwrite() argument must be str, not bytes " error
2020-06-03 ADDON-27000, ADDON-27041 Data collected in different sourcetype in Python3
2020-06-01 ADDON-26876, ADDON-26889, ADDON-26897, ADDON-26907 Fix UI and Data collection of Addon on Splunk 8.0.4 and 8.0.2004
2020-05-26 ADDON-26828 Addons unable to load UI or collect data on Splunk 8.0.4, 8.0.2004 and Splunk 8.0.5

Workaround:
As a manual workaround, the "import html" statement on Line 16 of splunk/lib/python3.7/site-packages/splunk/util.py file could be commented out, which does not require Splunk restart to take affect.
2020-02-04 ADDON-25183, ADDON-25885 Addons UI is not compatible with Splunk 7.3.3 and Splunk 7.3.4

Workaround:
Customer can switch to any other Splunk version compatible with all their apps and add-ons.
2019-02-19 ADDON-21356 Data Duplication Warning Feature in UI(Input page) doesn't work with Keypress event
2018-12-28 ADDON-20719 Post changing only Appliance name from back end and not refreshing UI will stop data collection for all the inputs regardless of account

Third-party software attributions

Version 7.0.1 of the Splunk Add-on for Citrix NetScaler incorporates the following third-party software or libraries.

  • jQuery
  • select2
  • jquery-ui
  • moment.js
  • jqTree
  • bootstrap
  • underscore
  • Backbone.Validation
  • jquery-resize-plugin
  • low-pro-for-jquery
  • sax.js
  • lodash
  • intro.js
  • highcharts

Version 7.0.0

Version 7.0.0 of the Splunk Add-on for Citrix NetScaler was released on October 21, 2019.

Compatibility

Version 7.0.0 of the Splunk Add-on for Citrix Netscaler is not compatible with Internet Explorer.

Version 7.0.0 of the Splunk Add-on for Citrix NetScaler is compatible with the following software, CIM versions, and platforms.

Splunk platform versions 7.0.x, 7.1.x, 7.2.x, 7.3.x, 8.0.x
CIM 4.11
Platforms Platform independent
Vendor Products Citrix NetScaler versions 10, 11, and 12

Migration guide

Upgrading from 6.2.0 to versions 6.3.0 and above of the Splunk Add-on for Citrix NetScaler is not supported. You must reconfigure all inputs, appliances and templates after upgrading. To avoid data loss, back up your local configurations before upgrading.

This version of the add-on drops support for Splunk platform versions older than 7.0.x. If you are running older versions of the Splunk platform, upgrade them to a minimum of 7.0.x before upgrading the add-on.

See Choose your Splunk Enterprise upgrade path for the Python 3 migration for more information on upgrading your Splunk Enterprise deployment to Python 3.

New features

Version 7.0.0 of the Splunk Add-on for Citrix NetScaler has the following new features.

  • Support for Python 3

Fixed issues

Version 7.0.0 of the Splunk Add-on for Citrix NetScaler contains the following fixed issues:


Known issues

Version 7.0.0 of the Splunk Add-on for Citrix NetScaler has the following known issues. If no issues appear below, no issues have yet been reported:

Date filed Issue number Description
2020-06-01 ADDON-26876, ADDON-26889, ADDON-26897, ADDON-26907 Fix UI and Data collection of Addon on Splunk 8.0.4 and 8.0.2004
2020-02-04 ADDON-25183, ADDON-25885 Addons UI is not compatible with Splunk 7.3.3 and Splunk 7.3.4

Workaround:
Customer can switch to any other Splunk version compatible with all their apps and add-ons.
2019-02-19 ADDON-21356 Data Duplication Warning Feature in UI(Input page) doesn't work with Keypress event
2018-12-28 ADDON-20719 Post changing only Appliance name from back end and not refreshing UI will stop data collection for all the inputs regardless of account
2015-05-11 ADDON-3993 Description field can be interpreted as binary instead of string

Third-party software attributions

Version 7.0.0 of the Splunk Add-on for Citrix NetScaler incorporates the following third-party software or libraries.

  • jQuery
  • select2
  • jquery-ui
  • moment.js
  • jqTree
  • bootstrap
  • underscore
  • Backbone.Validation
  • jquery-resize-plugin
  • low-pro-for-jquery
  • sax.js
  • lodash
  • intro.js
  • highcharts

Version 6.3.0

Version 6.3.0 of the Splunk Add-on for Citrix NetScaler was released on January 14, 2019.

Compatibility

Version 6.3.0 of the Splunk Add-on for Citrix Netscaler is not compatible with Internet Explorer.

Version 6.3.0 of the Splunk Add-on for Citrix NetScaler is compatible with the following software, CIM versions, and platforms.

Splunk platform versions 7.2.x, 7.1.x, 7.0.x, 6.6.x
CIM 4.11
Platforms Platform independent
Vendor Products Citrix NetScaler versions 10, 11, and 12

Migration guide

Upgrading from 6.2.0 to 6.3.0 of the Splunk Add-on for Citrix NetScaler is not supported. You must reconfigure all inputs, appliances and templates after upgrading. To avoid data loss, back up your local configurations before upgrading.

This version of the add-on drops support for Splunk platform versions older than 6.6.x. If you are running older versions of the Splunk platform, upgrade them to a minimum of 6.6.x before upgrading the add-on.

New features

Version 6.3.0 of the Splunk Add-on for Citrix NetScaler has the following new features.

  • Shows warning when a newly added account duplicates an existing endpoint mapping
  • Proxy support
  • Validates credentials for newly added appliances
  • Supports HTTPS as the default

Fixed issues

Version 6.3.0 of the Splunk Add-on for Citrix NetScaler contains the following fixed issues:

Date resolved Issue number Description
2018-10-10 ADDON-17633 duplicate line in Default tags.conf
2016-07-12 ADDON-8326 citrix_netscaler_availability.status.csv header line is broken

Known issues

Version 6.3.0 of the Splunk Add-on for Citrix NetScaler has the following known issues. If no issues appear below, no issues have yet been reported:

Date filed Issue number Description
2019-05-09 ADDON-21966 Splunk_TA_citrix-netscaler 6.3.0 field extraction not working correctly for some kv pairs in sourcetype citrix:netscaler:syslog

Workaround:
Add a below-mentioned stanza to path $SPLUNK_HOME/etc/apps/Splunk_TA_citrix-netscaler/local/transforms.conf

[netscaler_syslog_unquoted_fields] REGEX=(^|- ?)(?P<_KEY_1>[\w\d]+) (?!")(?!-)(?P<_VAL_1>[^\"]*?)($|(?= -)) SOURCE_KEY = syslog_message


2019-02-19 ADDON-21356 Data Duplication Warning Feature in UI(Input page) doesn't work with Keypress event
2018-12-28 ADDON-20719 Post changing only Appliance name from back end and not refreshing UI will stop data collection for all the inputs regardless of account
2015-05-11 ADDON-3993 Description field can be interpreted as binary instead of string

Third-party software attributions

Version 6.3.0 of the Splunk Add-on for Citrix NetScaler incorporates the following third-party software or libraries.

  • jQuery
  • select2
  • jquery-ui
  • moment.js
  • jqTree
  • bootstrap
  • underscore
  • Backbone.Validation
  • jquery-resize-plugin
  • low-pro-for-jquery
  • sax.js
  • lodash
  • intro.js
  • highcharts


Version 6.2.0

Version 6.2.0 of the Splunk Add-on for Citrix NetScaler is compatible with the following software, CIM versions, and platforms.

Splunk platform versions 6.3.X and later
CIM 4.2 and later
Platforms Platform independent
Vendor Products Citrix NetScaler versions 10.X and later

Migration guide

This add-on is intended to replace the community-supported app, Splunk for Citrix NetScaler with AppFlow. If you are currently using Splunk for Citrix NetScaler with AppFlow, disable the app so that this add-on's inputs do not conflict with it.

This version of the add-on drops support for Splunk platform versions older than 6.3.X. If you are running older versions of the Splunk platform, upgrade them to a minimum of 6.3.X before upgrading the add-on.

New features

Version 6.2.0 of the Splunk Add-on for Citrix NetScaler has the following new features.

Date Issue number Description
2016-05-27 ADDON-9718 Improved add-on configuration UI.
2016-05-23 ADDON-7770 Mapped to new fields in the ITSI Load Balancer module.

Fixed issues

Version 6.2.0 of the Splunk Add-on for Citrix NetScaler contains no fixed issues.

Known issues

Version 6.2.0 of the Splunk Add-on for Citrix NetScaler has the following known issues.

Date filed Defect number Description
2016-01-30 ADDON-7646 FIPS mode is not supported by this add-on. For a workaround, see Add-ons and FIPS mode in the Splunk Add-ons manual.
2016-01-13 ADDON-5325 requireClientCert=true in server.conf is not supported by add-ons using modular inputs and REST. If this setting is enabled in server.conf, communication is broken between the modular input and splunkd and the add-on stops collecting data. The following error appears in the splunkd.log: "SSL3_GET_CLIENT_CERTIFICATE:peer did not return a certificate." The workaround is to set requireClientCert=false.
2015/11/20 ADDON-6592 / SPL-110199 Add-on has a warning upon startup "Invalid key in stanza [citrix_netscaler] in /opt/splunk/etc/apps/Splunk_TA_citrix-netscaler/default/inputs.conf, line 4: start_by_shell (value: false)." when running on Splunk 6.3. This warning is invalid and can be ignored.
2015/11/20 ADDON-6122 The field "mem" gives spurious data due to a bug in the NetScaler API.
2015/10/29 SPL-104398 For users running the Splunk platform on Ubuntu on versions prior to 6.3.0, the start_by_shell=false setting will not take effect and the Splunk platform will display a warning message on startup. Workaround: update your Splunk software to version 6.3.0 or later.
2015/06/10 ADDON-4219 In the template configuration screen of the modular input, if the user includes a metric and endpoint name that exceeds the width of the Selected Metrics field, there is no scroll to see the full name.
2015/06/10 ADDON-4219 In the template configuration screen of the modular input, if the number of metrics added to the template is larger than the Selected Metrics field can display by default, the user must scroll to the bottom of the Selected Metrics field manually to see the latest metric added.
2015/06/05 ADDON-4177 Endpoint field in the modular input configuration does not support spaces. Workaround: If your API call requires spaces, encode them using %20.
2015/05/14 SPL-101449 / ADDON-3993 If you enter either "t" or "f" in the description field of a Task, Splunk Enterprise interprets it as binary instead of a string and stores the value as 1 or 0, respectively.

Third-party software attributions

Version 6.2.0 of the Splunk Add-on for Citrix NetScaler incorporates the following third-party software or libraries.


Version 6.1.0

Version 6.1.0 of the Splunk Add-on for Citrix NetScaler is compatible with the following software, CIM versions, and platforms.

Splunk platform versions 6.0 and above
CIM 4.2 and above
Platforms Platform independent
Vendor Products Citrix NetScaler versions 10.X and above

Migration guide

This add-on is intended to replace the community-supported app, Splunk for Citrix NetScaler with AppFlow. If you are currently using Splunk for Citrix NetScaler with AppFlow, disable the app so that this add-on's inputs do not conflict with it.

New features

Version 6.1.0 of the Splunk Add-on for Citrix NetScaler has the following new features.

Date Issue number Description
2015/11/08 ADDON-6060 Modify the add-on to collect data needed to populate the load balancer module for ITSI.
2015/11/03 ADDON-6282 Add tags to map to load balancer module.

Fixed issues

Version 6.1.0 of the Splunk Add-on for Citrix NetScaler fixes the following issues.

Resolved date Defect number Description
2015/11/24 ADDON-6513 Should collect AVL_STATUS and FAILOVER_STATUS as 0 or 1 rather than strings.
2015/11/24 ADDON-6509 Missing the field storage_used_percent.
2015/11/11 ADDON-6383 Additional fields need to be collected by the add-on to support load balancer module in ITSI.
2015/11/11 ADDON-6379 Alias needed from memusagepcnt to mem_used_percent.
2015/11/09 ADDON-4052 Configuration objects such as servers and templates defined in different add-ons with same Destination App encounter naming conflicts.
2015/11/08 ADDON-5531 Typos in props.conf and deviations from best practices for timestamping, index-time settings, and some field aliases.

Known issues

Version 6.1.0 of the Splunk Add-on for Citrix NetScaler has the following known issues.

Date filed Defect number Description
2016-01-30 ADDON-7646 FIPS mode is not supported by this add-on. For a workaround, see Add-ons and FIPS mode in the Splunk Add-ons manual.
2016-01-13 ADDON-5325 requireClientCert=true in server.conf is not supported by add-ons using modular inputs and REST. If this setting is enabled in server.conf, communication is broken between the modular input and splunkd and the add-on stops collecting data. The following error appears in the splunkd.log: "SSL3_GET_CLIENT_CERTIFICATE:peer did not return a certificate." The workaround is to set requireClientCert=false.
2015/11/20 ADDON-6592 / SPL-110199 Add-on has a warning upon startup "Invalid key in stanza [citrix_netscaler] in /opt/splunk/etc/apps/Splunk_TA_citrix-netscaler/default/inputs.conf, line 4: start_by_shell (value: false)." This warning is invalid and can be ignored.
2015/11/20 ADDON-6122 The field "mem" gives spurious data due to a bug in the NetScaler API.
2015/10/29 SPL-104398 For users running the Splunk platform on Ubuntu on versions prior to 6.3.0, the start_by_shell=false setting will not take effect and the Splunk platform will display a warning message on startup. Workaround: update your Splunk software to version 6.3.0 or later.
2015/06/10 ADDON-4219 In the template configuration screen of the modular input, if the user includes a metric and endpoint name that exceeds the width of the Selected Metrics field, there is no scroll to see the full name.
2015/06/10 ADDON-4219 In the template configuration screen of the modular input, if the number of metrics added to the template is larger than the Selected Metrics field can display by default, the user must scroll to the bottom of the Selected Metrics field manually to see the latest metric added.
2015/06/05 ADDON-4177 Endpoint field in the modular input configuration does not support spaces. Workaround: If your API call requires spaces, encode them using %20.
2015/05/14 SPL-101449 / ADDON-3993 If you enter either "t" or "f" in the description field of a Task, Splunk Enterprise interprets it as binary instead of a string and stores the value as 1 or 0, respectively.

Third-party software attributions

Version 6.1.0 of the Splunk Add-on for Citrix NetScaler incorporates the following third-party software or libraries.

Version 6.0.0

Version 6.0.0 of the Splunk Add-on for Citrix NetScaler has the same compatibility specifications as 6.1.0.

Migration guide

This add-on is intended to replace the community-supported app, Splunk for Citrix NetScaler with AppFlow. If you are currently using Splunk for Citrix NetScaler with AppFlow, disable the app so that this add-on's inputs do not conflict with it.

New features

Version 6.0.0 of the Splunk Add-on for Citrix NetScaler has the following new features.

Date Issue number Description
05/26/15 ADDON-2268 New Splunk-supported add-on for Citrix NetScaler data collection and CIM mapping.

Known issues

Version 6.0.0 of the Splunk Add-on for Citrix NetScaler has the following known issues.

Date Defect number Description
2015/09/15 ADDON-5531 Typos in props.conf and deviations from best practices for timestamping, index-time settings, and some field aliases.
2015/06/10 ADDON-4219 In the template configuration screen of the modular input, if the user includes a metric and endpoint name that exceeds the width of the Selected Metrics field, there is no scroll to see the full name.
2015/06/10 ADDON-4219 In the template configuration screen of the modular input, if the number of metrics added to the template is larger than the Selected Metrics field can display by default, the user must scroll to the bottom of the Selected Metrics field manually to see the latest metric added.
2015/06/05 ADDON-4177 Endpoint field in the modular input configuration does not support spaces. Workaround: If your API call requires spaces, encode them using %20.
2015/05/26 ADDON-4052 Configuration objects such as servers and templates defined in different add-ons with same Destination App encounter naming conflicts.
2015/05/14 SPL-101449 / ADDON-3993 If you enter either "t" or "f" in the description field of a Task, Splunk Enterprise interprets it as binary instead of a string and stores the value as 1 or 0, respectively.

Third-party software attributions

Version 6.0.0 of the Splunk Add-on for Citrix NetScaler incorporates the following third-party software or libraries.

Last modified on 09 February, 2021
PREVIOUS
Release notes for the Splunk Add-on for Citrix NetScaler
 

This documentation applies to the following versions of Splunk® Supported Add-ons: released


Was this documentation topic helpful?

You must be logged into splunk.com in order to post comments. Log in now.

Please try to keep this discussion focused on the content covered in this documentation topic. If you have a more general question about Splunk functionality or are experiencing a difficulty with Splunk, consider posting a question to Splunkbase Answers.

0 out of 1000 Characters